Panda3D

Functions
geomTristripsAdjacency.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "geomTristripsAdjacency.h"`
`#include "geomTriangles.h"`
`#include "geomVertexRewriter.h"`
`#include "pStatTimer.h"`
`#include "bamReader.h"`
`#include "bamWriter.h"`
`#include "graphicsStateGuardianBase.h"`

Go to the source code of this file.

## Functions
| PT (GeomPrimitive) GeomTristripsAdjacency
| Returns the fundamental rendering type of this primitive: whether it is points, lines, or polygons. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  rdb

Date
  2018-03-01

Definition in file geomTristripsAdjacency.cxx.

## Function Documentation

## ◆ PT()

PT | ( | GeomPrimitive |  | ) |

Returns the fundamental rendering type of this primitive: whether it is points, lines, or polygons.

This is used to set up the appropriate antialiasing settings when AntialiasAttrib::M_auto is in effect; it also implies the type of primitive that will be produced when decompose() is called.

Returns the set of GeomRendering bits that represent the rendering properties required to properly render this primitive.

Returns the minimum number of vertices that must be added before close_primitive() may legally be called.

Returns the number of vertices that are added between primitives that aren't, strictly speaking, part of the primitives themselves. This is used, for instance, to define degenerate triangles to connect otherwise disconnected triangle strips.

Calls the appropriate method on the GSG to draw the primitive.

Should be redefined to return true in any primitive that implements append_unused_vertices().

Called when a new primitive is begun (other than the first primitive), this should add some degenerate vertices between primitives, if the primitive type requires that. The second parameter is the first vertex that begins the new primitive.

Definition at line 52 of file geomTristripsAdjacency.cxx.